/*********************************************************************
 * SppϊCu
 * -------------------------------------------------------------------
 * 2010/11/03 VK쐬
 * -------------------------------------------------------------------
 * Copyright(C) 2010 ASANO, Sei (http://sei.qee.jp/docs/)
 *********************************************************************/
// SpJ^JiAǓ_AJMJbRAA_A_ƁAp̑Ή\
var convert_table_kata_zenToHan = {
	"B":"", "u":"", "v":"", "A":"", "E":"",
	"":"", "@":"", "B":"", "D":"", "F":"", "H":"", 
	"":"", "":"", "":"", "b":"", "[":"",
	"A":"", "C":"", "E":"", "G":"", "I":"",
	"J":"", "L":"", "N":"", "P":"", "R":"",
	"T":"", "V":"", "X":"", "Z":"", "\":"",
	"^":"", "`":"", "c":"", "e":"", "g":"",
	"i":"", "j":"", "k":"", "l":"", "m":"",
	"n":"", "q":"", "t":"", "w":"", "z":"",
	"}":"", "~":"", "":"", "":"", "":"",
	"":"", "":"", "":"",
	"":"", "":"", "":"", "":"", "":"",
	"":"", "":"", "":"",
	"K":"", "M":"", "O":"", "Q":"", "S":"",
	"U":"", "W":"", "Y":"", "[":"", "]":"",
	"_":"", "a":"", "d":"", "f":"", "h":"",
	"o":"", "r":"", "u":"", "x":"", "{":"",
	"p":"", "s":"", "v":"", "y":"", "|":"",
	"":"", "":"", "":"", "J":"", "K":""
}
// pJ^JiijAǓ_AJMJbRAƁASp̑Ή\
var convert_table_kata_hanToZen = {
	"":"B", "":"u", "":"v", "":"A", "":"E",
	"":"", "":"@", "":"B", "":"D", "":"F", "":"H", 
	"":"", "":"", "":"", "":"b", "":"[",
	"":"A", "":"C", "":"E", "":"G", "":"I",
	"":"J", "":"L", "":"N", "":"P", "":"R",
	"":"T", "":"V", "":"X", "":"Z", "":"\",
	"":"^", "":"`", "":"c", "":"e", "":"g",
	"":"i", "":"j", "":"k", "":"l", "":"m",
	"":"n", "":"q", "":"t", "":"w", "":"z",
	"":"}", "":"~", "":"", "":"", "":"",
	"":"", "":"", "":"",
	"":"", "":"", "":"", "":"", "":"",
	"":"", "":""
}
// pJ^JiijƁASp̑Ή\
var convert_table_kata_hanToZen_daku = {
	"":"", "":"K", "":"M", "":"O", "":"Q", "":"S",
	"":"U", "":"W", "":"Y", "":"[", "":"]",
	"":"_", "":"a", "":"d", "":"f", "":"h",
	"":"o", "":"r", "":"u", "":"x", "":"{"
}
// pJ^JiijƁASp̑Ή\
var convert_table_kata_hanToZen_handaku = {
	"":"p", "":"s", "":"v", "":"y", "":"|"
}
/*********************************************************************
 * Ɋ܂܂Ă锼p̉pAJ^JiAǓ_AJMJbRA
 * ASpɕϊB
 * -------------------------------------------------------------------
 * [] str : 
 * [߂] ϊ̕
 *********************************************************************/
function convert_hanTozen(str) {
	//ppSp
	str = str.replace(/[!-~]/g, function($0){ return String.fromCharCode($0.charCodeAt(0)+0xFEE0); });
	//pJ^JiijSp
	str = str.replace(/[]/g, function($0){ return convert_table_kata_hanToZen_daku[$0]; });
	//pJ^JiijSp
	str = str.replace(/[]/g, function($0){ return convert_table_kata_hanToZen_handaku[$0]; });
	//pJ^JiicjALiǓ_AJMJbRAjSp
	return str.replace(/[-]/g, function($0){ return convert_table_kata_hanToZen[$0]; });
}
/*********************************************************************
 * Ɋ܂܂ĂSp̉pAЂ炪ȁAJ^JiAǓ_A
 * JMJbRAApɕϊBSpЂ炪Ȃ͔pJ^JiɕϊB
 * -------------------------------------------------------------------
 * [] str : 
 * [߂] ϊ̕
 *********************************************************************/
function convert_zenTohan(str) {
	//Spp𔼊p
	str = str.replace(/[I-`]/g, function($0){ return String.fromCharCode($0.charCodeAt(0)-0xFEE0); });	//SpЂ炪ȂSpJ^Ji
	str = str.replace(/J/g, "");
	str = str.replace(/[-]/g, function($0){return String.fromCharCode($0.charCodeAt(0)+0x60);});
	//SpJ^JiAǓ_AJMJbRAAP̑_AP̔_𔼊p
	return str.replace(/[@-[BuvAEJK]/g, function($0){ return convert_table_kata_zenToHan[$0]; });
}
/*********************************************************************
 * Ɋ܂܂ĂSpJ^JiSpЂ炪ȂɕϊB
 * -------------------------------------------------------------------
 * [] str : 
 * [߂] ϊ̕
 *********************************************************************/
function convert_kataTohira(str) {
	var str = str.replace(//g, "J");
	return str.replace(/[@-]/g, function($0){return String.fromCharCode($0.charCodeAt(0)-0x60);});
}
/*********************************************************************
 * Ɋ܂܂ĂSpЂ炪ȂSpJ^JiɕϊB
 * -------------------------------------------------------------------
 * [] str : 
 * [߂] ϊ̕
 *********************************************************************/
function convert_hiraTokata(str) {
	var str = str.replace(/J/g, "");
	return str.replace(/[-]/g, function($0){return String.fromCharCode($0.charCodeAt(0)+0x60);});
}
